@import url('https://fonts.googleapis.com/css2?family=Montserrat&family=Poppins&display=swap');

body {
    background-color: #ecf0f3;
}

h1,
h2,
h3,
h4,
h5 {
    font-weight: bold;
}

h1 {
    font-size: 40px;
}

h2 {
    font-size: 32px;
}

h3 {
    font-size: 28px;
}

h4 {
    font-size: 24px;
}

h5 {
    font-size: 20px;
}

h1,
h2 {
    font-family: 'Montserrat', sans-serif;
}

h3,
h4,
h5,
p,
a,
label,
input,
button,
textarea {
    font-family: 'Poppins', sans-serif;
}

span {
    color: #ff014f;
}

.nav-list {
    list-style: none;
}

.nav-list a {
    text-decoration: none;
    color: black;
    text-transform: uppercase;
    font-weight: 600;
}

.profile-img {
    border-radius: 50%;
}

.social-links a {
    text-decoration: none;
    color: black;
}

.section-items a {
    text-decoration: none;
    color: black;
}

.portfolio-img {
    border-radius: 5%;
}

.portfolio-content p {
    color: #ff014f;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 12px;
    letter-spacing: 2px;
}

.contact-details p {
    font-size: 18px;
    color: #ff014f;
}

label {
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
}

input,
textarea {
    border-color: rgba(0, 0, 0, 0.10);
    outline-color: #ff014f;
}

textarea {
    resize: none;
}

footer {
    background-color: black;
    height: 150px;
}

footer h5 {
    color: white;
}

/* =================
   Start of exercise:
   =================*/

/* TODO 01:  Reset the padding and margin to 0 and apply border-box to all elements by using
    the universal selector */

/* TODO 02: Apply padding to the header: 20px from the top and bottom; 50px from the left and right */

/* TODO 03: Apply the appropriate property and value to the following elements so that each pair
    or children of the element would be positioned next to each other but will still be able to change
    other properties (height, width, padding, margin, etc.)*/

.header-right,
.header-left,
.nav-list li,
#about .container div,
.section-item-card,
footer h5,
footer div {}

.header-right {
    float: right;
}

/* TODO 04: Apply 16px margin from all sides to the <li> of your .nav-list */

/* TODO 05a: Apply 115px top and bottom padding to this selector. Use a shorthand. */
/* TODO 05b: Apply 0 top and bottom, auto left and right margin to this selector. Use a shorthand. */
.container {
    width: 85%;
}

/* TODO 06: Apply 20px right margin to the <a> of .social-links */

/* TODO: 07: Apply 50px left margin to this selector */
.profile-description {
    width: 50%;
}

/* TODO: 08: Apply 20px bottom margin to the <p> of .profile-description */

/* TODO 09: Apply 20px bottom margin and 15px padding to .section-title*/

/* TODO 10: Apply 15px padding to .section-items*/

/* TODO 11a: Apply 30px padding and 20px margin to this selector*/
/* TODO 11b: Apply 2px solid black outline to this selector*/
.section-item-card {
    height: 425px;
    width: 400px;
    border-radius: 5%;
}

/* TODO 12: Add 18px bottom margin to these selectors */
.service-icon,
.service-content h3,
.portfolio-img {}

.portfolio-img {
    text-align: center;
    width: 100%;
}

/* TODO 13: Add 12px bottom margin to the <p> of .portfolio-content*/

/* TODO 14: Add 50px top margin to .contact-wrapper*/

/* TODO 15a: Apply 20px padding to these selectors*/
/* TODO 11b: Apply 2px solid black outline to these selectors*/
.contact-details,
.contact-form-wrapper {
    border-radius: 2.5%;
}

/* TODO 12: Apply 50px bottom margin to this selector*/
.contact-details {
    width: 350px;
}

/* TODO 13: Apply 32px bottom margin to theses selectors*/
.email,
.location,
.phone {}

.contact-form-wrapper {
    width: 550px;
}

/* TODO 14a: Apply 10px bottom margin to <label>*/
/* TODO 14b: Use the appropriate property and value so <label> would display on a new line
    and takes up the whole width*/

/* TODO 15: Apply 8px padding to these selectors*/
input,
textarea {
    width: 100%;
}

button {
    height: 35px;
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
}

footer .social-links {
    float: right;
}